Just making sure it's ok to update install to 3.0b10 and bsd subsystem 2.0 on my 1.1.2 OTB phone.

I've been seeing posts about people having all kinds of problems after updating and wanted to make sure that the aboved mentioned updates aren't mean't for people with FW 1.1.3?

Is FW 1.1.3 different enough (due to the different file/folder locations) that some future app updates won't be able to work with the current firmware and older ones?

Thanks!